/*
 *
 *  This file ist part of the software MonaLisa.
 *  MonaLisa is free software, dependend on non-free software. For more information read LICENCE and README.
 *
 *  (c) Molekulare Bioinformatik, Goethe University Frankfurt, Frankfurt am Main, Germany
 *
 */

package monalisa.addons.netviewer;
import monalisa.data.pn.PInvariant;


/**
 * Wrapper Class for Tinv Combobox Items
 * @author Jens Einloft
 */
public class PinvWrapper {
    private PInvariant pinv;

    public PinvWrapper(PInvariant input) {
        this.pinv = input;
    }

    public PInvariant getPinv() {
        return pinv;
    }

    @Override
    public String toString() {
        return "P-Inv "+(this.pinv.id()+1)+" ("+this.pinv.size()+")";
    }
}
